
TYPO3.Neos - Bug # 48423

Status: Resolved Priority: Should have
Author: Berit Hlubek Category:
Created: 2013-05-21 Assigned To: Christopher Hlubek
Updated: 2013-07-15 Due date:
Subject: Inspector: Allow to edit multiple images within a NodeType
Description

At the moment it is not possible to add more than one image to a NodeType. A JavaScript error is thrown because the ID image-width
is used twice.

To have the chance to create fully flexible NodeTypes it has to be possible to put multiple properties of the type image inside one
NodeType.

Associated revisions
Revision 63081d12 - 2013-07-15 13:52 - Christopher Hlubek

[BUGFIX] Fix multiple image editing and file upload in inspector

This change updates the id generation to prevent duplicate element ids.
The file upload editor also had a bug through the usage of GUID_KEY as
an Ember property which no longer works.

Change-Id: Id6c0d8056d49b2002ecdf1f41b04a68f7265f039
Fixes: #48423
Reviewed-on: https://review.typo3.org/22305
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Tested-by: Mr. Hudson
Reviewed-by: Sebastian Kurfuerst
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-07-11 23:17 - Aske Ertmann
- Target version set to 1.0 alpha 5

This seems to happen because the inspector tries to use the same elementId twice which Ember does not like

#2 - 2013-07-14 23:10 - Christopher Hlubek
- Status changed from New to Accepted

#3 - 2013-07-14 23:18 - Aske Ertmann
- Assigned To set to Christopher Hlubek

#4 - 2013-07-14 23:36 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22305

#5 - 2013-07-15 09:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22305

#6 - 2013-07-15 14:39 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:63081d121be5f1d300f06c5981407bdc956c227c.
